##
## Common configs, none business with Environment
##
spring:
  application:
    name: pcloud-service-book
  profiles:
    active: dev
  main:
    allow-bean-definition-overriding: true

nacos:
  config:
    server-addr: http://192.168.92.37:8848
    namespace: ${spring.profiles.active}
    username: rays_app
    password: app@read

server:
  port: 8202
  servlet:
    context-path: /book/v1.0/

eureka:
  instance:
    status-page-url-path: /book/v1.0/swagger-ui.html
  client:
    register-with-eureka: true

mybatis:
  mapper-locations: classpath*:mapper/*/*.xml
  type-aliases-package: com.pcloud.book
  check-config-location: true
  config-location: classpath:mybatis/mybatis-config.xml

management:
  security:
    enabled: false
  endpoints:
    web:
      base-path: /
      exposure:
        include: "*"
  endpoint:
    shutdown:
      enabled: true
      sensitive: false
ribbon:
  ServerListRefreshInterval: 5
  OkToRetryOnAllOperations: true
  MaxAutoRetriesNextServer: 1
  MaxAutoRetries: 0
  ReadTimeout: 60000
  ConnectTimeout: 60000
feign:
  hystrix:
    enabled: true
hystrix:
  command:
    default:
      execution:
        isolation:
          thread:
            timeoutInMilliseconds: 60000
  threadpool:
    default:
      coreSize: 300